Subject: Re: [PROBLEM] Bonding driver in linux-2.6.21-rc6-mm1

From: Andrew Morton <[email-masked]>
Date: Sat, 28 Apr 2007 14:31:02 -0700

On Sat, 28 Apr 2007 22:37:42 +0200 Vincent ETIENNE <[email-masked]> wrote:

> Le Saturday 28 April 2007 00:32:37 Andrew Morton, vous avez écrit :
> > On Fri, 27 Apr 2007 22:05:28 +0200
> >
> 
> > because we thought we'd fixed the rtnl_lock() problems in 2.6.21-rc7-mm2.
> > Are you sure that log is from 2.6.21-rc7-mm2?
> 
> 
> Yes. I have retested it another time ( for adding the small usb debug 
> message ) and get the same message a new time.
> 
> Maybe a tiny difference : only eth0 was setup during boot ( bond0 and eth1 was 
> not setup - volontary  - to avoid problem that could interfere with usb ). 
> Ony after having done my usb test, i have stopped the eth0, setup bond 
> interface and restart bond interface and got the same problem with the same 
> back trace.

OK, thanks.

> Is there anything i can do to get you more precise information ?

I guess if you could provide us with your .config and a step-by-step recipe
which developers should use to reproduce the problem then we should be able
to fix this pretty easily when someone finds the time to do so.